# FieldResolver

class FieldResolver < T : Any > : InstanceAwareResolver < Field , T >

Resolving Field.

#### Parameters

self

the member to be resolved.

## Properties

self
Link copied to clipboard
open override val self : Field

## Functions

asResolver
Link copied to clipboard
fun MemberResolver <*, *>. asResolver (): MemberResolver <*, *>

This is a fake function call chains to avoid internal calls to themselves.

copy
Link copied to clipboard
open override fun copy (): FieldResolver < T >

Create a copy of this resolver.

get
Link copied to clipboard
@ JvmName (name = "getTyped")
fun < T > get (): T ?
fun get (): Any ?

Get the value of the field.

getQuietly
Link copied to clipboard
@ JvmName (name = "getQuietlyTyped")
fun < T > getQuietly (): T ?
fun getQuietly (): Any ?

Get the value of the field and ignore any exceptions.

of
Link copied to clipboard
open override fun of (instance: T ?): FieldResolver < T >

Set the instance of self.

set
Link copied to clipboard
fun set (value: Any ?)

Set the value of the field.

setQuietly
Link copied to clipboard
fun setQuietly (value: Any ?)

Set the value of the field and ignore any exceptions.